//////////////////////////////////////////////////////////
// Sketch library for ADT7410 (Analog Devices, Inc.)
// Header file.
// Programmed by KEI SAKAKI. http://kei-sakaki.jp/

#ifndef INCLUDED_KEI_SAKAKI_ADT7410_H
#define INCLUDED_KEI_SAKAKI_ADT7410_H

#if (ARDUINO >= 100)
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

class ADT7410 {
  protected:
    int i2c_address;
  public:
    enum {
      DEFAULT_I2C_ADDRESS = 0x48
    };
    
    ADT7410(int i2c_address = DEFAULT_I2C_ADDRESS);
    virtual ~ADT7410();
    virtual int readTemperatureRaw(bool width16 = false);
    virtual float readTemperature(bool width16 = false);
    virtual void softwareReset();
    virtual void shutdown();
};

#endif
